<template>
  <div class="page-cart">
    <Breadcrumb :breadcrumb="breadcrumb" />
    <section class="clearfix">
      <h1 class="title_cate">
        <span>Giỏ hàng ({{ cart.length }})</span>
      </h1>
      <div v-if="cart.length == 0" class="cart-null">
        <div class="icon">
          <svg-icon name="cart2" style="width: 48px; height: 48px;"></svg-icon>
        </div>
        <p class="mb24">Bạn chưa có sản phẩm nào trong giỏ hàng</p>
        <nuxt-link to="/" class="btn-default color-white">
          Tiếp tục mua sắm
        </nuxt-link>
      </div>

      <CartOrder2 v-else />
      <!-- <div class="cart-null">
        <div class="icon">
          <svg-icon name="user2" style="width: 48px; height: 48px;"></svg-icon>
        </div>
        <p class="mb24">Bạn chưa đăng nhập, đăng nhập để xem giỏ hàng</p>
        <a class="btn-default color-white" href="#" @click="openLoginPopup">
          Đăng nhập
        </a>
      </div> -->
      <div v-if="productrecommend.length" class="mb56 clearfix">
        <h2 class="title_cate">
          <span>Thường được mua cùng</span>
        </h2>
        <ProductList2 />
      </div>
    </section>
  </div>
</template>

<script>
// import Helper from '../../assets/config'
import { EventBus } from '~/plugins/bus'

export default {
  name: 'ProductCart',
  components: {
    Breadcrumb: () => import('~/components/Breadcrumb'),
    CartOrder2: () => import('~/components/Products/Cart/CartOrder2'),
    ProductList2: () => import('~/components/Products/Category/ProductList2'),
  },
  data() {
    return {
      breadcrumb: [
        {
          name: 'Giỏ hàng',
          url: '',
        },
      ],
      productrecommend: [],
    }
  },
  computed: {
    cart() {
      return this.$store.state.cart
    },
  },
  methods: {
    openLoginPopup() {
      EventBus.$emit('open-modal-login', true)
    },
  },
  head() {
    return {
      title: 'Giỏ Hàng | Thinkpro',
    }
  },
}
</script>
<style lang="scss" src="~/assets/css/cart.scss"></style>
